# Overview

* This package contains the main page for <https://parley.be>
* The package is based on <https://git.domainepublic.net/Neutrinet/neutrinet_ynh>

# Installation

```shell
yunohost app install <package-url>
```

# Upgrading

```shell
yunohost app upgrade parley_mainpage_ynh -u <package-url>
```

# For contributers
## Translations
### Adding a new translation to the site

1. Copy [sources/index_en.html](sources/index_en.html) and change the name so it has the correct two letter language code. The name should be of the form `index_<langcode>.html`
2. Translate it
3. Add a new block to the nginx config file [conf/nginx.conf](conf/nginx.conf)
4. Add the new language to the language-menu of the other pages in the [sources](sources) folder. E.g. for French `-<a href="../fr/">fr</a>`

Example of such block, change <langcode> to the two-letter language-code:
```
location PATHTOCHANGE/<langcode> {
    alias ALIASTOCHANGE;
    index index_<langcode>.html;
}
```

Example of language-menu with languages nl and fr
```html
    <div class='section language-menu'><a href="../nl/">nl</a>-<a href="../fr/">fr</a></div>
```
### Improving existing translations

* Make the changes directly to the relevant index page. E.g. for English [sources/index_en.html](sources/index_en.html)

## Adding things to the page

Make the changes to as many language pages as you can. The English page is considered the 'main' page, so please try to add it there as well.

## Upstreaming

* Bugs, feature requests and other issues can be logged on the issue tracker
* Merge requests can be done to the `stable` branch directly

## Publish a new version of the app

* Updating will remove the folders and put the new version in place. As long as no big changes to the folder structure were done, you don't have to edit the [upgrade](scripts/upgrade) script.
* Technically we should edit the [manifest](manifest.json) file to bump the version, but having a verion system like this for a simple website seems overkill and updating will work regardless
* stable is the default branch, so no need to merge to another branch

